Generated files problems.
Tobias Burnus
burnus@gmx.de
Thu Oct 5 21:35:00 GMT 2006
Hi,
FX Coudert wrote:
> Your modification to the script is fine, but in any case the build will
> fail while trying to compile selected_int_kind.F90, which is built just
> a few files later than this script. If people think that difference is
> worth commit a patch, I'll do it. Opinions?
Since a long thread has come up already and an error message to STDERR
might be more helpful than a failing selected_int_kind.F90, I'm in
favour of it.
Tobias
PS: Let's see whether Thunderbird still mangles my diff:
Index: libgfortran/mk-sik-inc.sh
===================================================================
--- libgfortran/mk-sik-inc.sh (Revision 117449)
+++ libgfortran/mk-sik-inc.sh (Arbeitskopie)
@@ -15,6 +15,11 @@
rm -f tmp$$.*
done
+if [ "x$kinds" = "x" ]; then
+ echo 'ERROR: mk-sik-inc.sh: No possible integer kind found!' 1>&2
+ exit 1
+fi
+
echo " integer, parameter :: c = $c"
echo " type (int_info), parameter :: int_infos(c) = (/ &"
More information about the Fortran
mailing list